ChartDirector Ver 5.0 (PHP Edition)

XYChart.addBarLayer

Usage

addBarLayer(data [, color [, name [, depth ]]])

Description

Adds a bar layer to the XYChart, and specify the data set to use for drawing the bars.

Arguments

Argument | Default | Description
--- | --- | ---
data | (Mandatory) | An array of numbers representing the data set.
color | -1 | The color to draw the bars. -1 means that the color is automatically selected from the palette.
name | "" | The name of the data set. The name will be used in the legend box, if one is available. An empty string means the data set has no name.
depth | 0 | The 3D depth of the bar layer.

Return Value

A BarLayer object representing the bar layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.